org.apache.jorphan.util

## Class JMeterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.jorphan.util.JMeterException

All Implemented Interfaces:
  Serializable

    public class JMeterException
    extends Exception

Custom JMeter Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JMeterException()`
`JMeterException(String s)`
`JMeterException(String message, Throwable cause)`
`JMeterException(String s, Throwable ex, boolean enableSuppression, boolean writableStackTrace)`
`JMeterException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JMeterException

    public JMeterException()

#### JMeterException

    public JMeterException(String s)

#### JMeterException

    public JMeterException(Throwable cause)

#### JMeterException

    public JMeterException(String message,
                           Throwable cause)

#### JMeterException

    public JMeterException(String s,
                           Throwable ex,
                           boolean enableSuppression,
                           boolean writableStackTrace)